Bug 798492 - need SELinux policy for ipa_memcached service
need SELinux policy for ipa_memcached service
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
16
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
:
Depends On: 783592
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-28 22:25 EST by Rob Crittenden
Modified: 2012-03-23 20:39 EDT (History)
9 users (show)

See Also:
Fixed In Version: selinux-policy-3.10.0-80.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 783592
Environment:
Last Closed: 2012-03-23 20:39:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rob Crittenden 2012-02-28 22:25:40 EST
This boolean currently exists on only Fedora 17. Can it be backported to at least Fedora 16 as well?

+++ This bug was initially created as a clone of Bug #783592 +++

This bug is created as a clone of upstream ticket:
https://fedorahosted.org/freeipa/ticket/2298

We currently have to run in permissive mode with the new session stuff. At a minimum we need to allow memcached to create a UNIX socket file in /var/run/ipa_memcached. We get this AVC otherwise:

type=AVC msg=audit(1327101214.892:696): avc:  denied  { create } for  pid=17659 comm="memcached" name="ipa_memcached" scontext=system_u:system_r:memcached_t:s0 tcontext=system_u:object_r:var_run_t:s0 tclass=sock_file

We may have other SELinux denials to address as well, the development work has been done with SELinux in permissive mode.
Comment 1 Miroslav Grepl 2012-02-29 04:05:40 EST
The boolean exists. 

I need to add 


commit 09fc37917edbfb7d6c8f0e6b1b98f1970b8cd4db
Author: Miroslav Grepl <mgrepl@redhat.com>
Date:   Wed Feb 29 11:04:41 2012 +0000

    Allow memcache to create sock_file
Comment 2 Fedora Update System 2012-02-29 04:33:46 EST
selinux-policy-3.10.0-78.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-78.fc16
Comment 3 Fedora Update System 2012-03-01 04:25:00 EST
Package selinux-policy-3.10.0-78.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-78.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-2733/selinux-policy-3.10.0-78.fc16
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-03-20 22:26:50 EDT
Package selinux-policy-3.10.0-80.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-80.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-2733/selinux-policy-3.10.0-80.fc16
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-03-23 20:39:04 EDT
selinux-policy-3.10.0-80.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.